Subject: Re: git fast-import crashes importing commits with more than one author

From: Andreas Ericsson <[email-masked]>
Date: Mon, 03 May 2010 10:59:17 +0200

On 05/01/2010 07:28 PM, Dmitrijs Ledkovs wrote:
> On 1 May 2010 18:19, Junio C Hamano<[email-masked]>  wrote:
>> Dmitrijs Ledkovs<[email-masked]>  writes:
>>
>>> On 1 May 2010 17:36, Andreas Schwab<[email-masked]>  wrote:
>>>> Giedrius Slavinskas<[email-masked]>  writes:
>>>>
>>>>> git fast-import does not support commits with more than one author. I
>>>>> try to import bzr repository and it crashes.
>>>>
>>>> You can find a patch here:
>>>> <http://bazaar.launchpad.net/~schwab-linux-m68k/bzr-fastimport/fastimport.dev/revision/262>
>>>>
>>>> Andreas.
>>>
>>> Although this is fine shouldn't we put the additional authors to the
>>> signed-off: lines in the git commit message?
>>
>> If an author didn't sign-off in the log message, a tool shouldn't add it
>> automatically.  Doing so makes S-o-b meaningless.
>>
> 
> Fair enough. I'm justing thinking on how to support round-tripping to
> bzr with import/export cause there are a few other properties bzr
> needs to recreate identical repository. Is it more appropriate for the
> marks format revision (bzr side of it)?

Add

Co-authored-by: Some One <[email-masked]>

and parse that when sending back to bzr. That way you get attribution
properly in both tools, in a way.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.